Bug 59224 - System crash after KDE logout
System crash after KDE logout
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86-Servers (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-02 17:54 EST by utmue
Modified: 2007-04-18 12:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-24 10:57:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (131.33 KB, text/plain)
2002-02-04 14:17 EST, utmue
no flags Details
XFree.log (20.47 KB, text/plain)
2002-02-04 14:18 EST, utmue
no flags Details
XFreeConfig (16.30 KB, text/plain)
2002-02-04 14:20 EST, utmue
no flags Details

  None (edit)
Description utmue 2002-02-02 17:54:51 EST
Description of Problem:
Since new installation of Red Hat with more packages after installing 
a network adapter the X-Server crashes every time I log out from KDE (no difference if I start 
runlevel 5 or if I start X manually). The main problem is that not only the X-Server crashes but the 
whole system - I even can't switch off the computer, only the reset switch works. Without X-Server 
there is no problem. And there's no problem with GNOME.

Version-Release number of selected 
component (if applicable):


How Reproducible:
every time

Steps to Reproduce:
1. 
log in to KDE (manually or with runlevel 5)
2. log out from KDE

Actual Results:
system 
crash

Expected Results:
either stopping the X-Server (when starting KDE from runlevel 3) 
or shutting down the system (when starting with runlevel 5)

Additional Information:
My 
video card: Intel 810 chipset
Comment 1 Mike A. Harris 2002-02-03 18:15:04 EST
If you are using graphical boot mode (runlevel 5), try switching to
using gdm instead of KDM nd see if the problem goes away.  Also, try
changing to runlevel 3 and see if X works properly.  This will provide
helpful information.

Also, please attach your X server log and config file, and the
/var/log/messages file.
Comment 2 utmue 2002-02-04 14:17:29 EST
Created attachment 44438 [details]
/var/log/messages
Comment 3 utmue 2002-02-04 14:18:48 EST
Created attachment 44439 [details]
XFree.log
Comment 4 utmue 2002-02-04 14:20:28 EST
Created attachment 44440 [details]
XFreeConfig
Comment 5 utmue 2002-02-04 14:25:32 EST
As mentionned above ;-) it makes no difference if I start KDE automatically 
with 
runlevel 5 or manually with startx from runlevel 3. Also it is only KDE which 
causes the problem, there's no problem with GNOME.
Comment 6 Wendy Hung 2002-02-26 16:40:04 EST
Similar bug on an IBM xSeries system running runlevel 3.  
When running gdm, kde crashes when logging out.
When running kdm, GNOME crashes when logging out.
Comment 7 Mike McLean 2003-01-02 13:55:42 EST
This bug has been inappropriately marked MODIFIED. Please review the bug life
cycle information at 
http://bugzilla.redhat.com/bugzilla/bug_status.cgi

Changing bug status to ASSIGNED.
Comment 8 Mike A. Harris 2003-01-24 10:57:16 EST
IMB xSeries as far as I know is unsupported

This bug was closed by the reporter putting it in MODIFIED state
about 8 months ago, and is rather old now.  Red Hat Linux 7.1, 7.2, 7.3
are only getting security fixes for XFree86 now.  While there may be
some backported bug fixes thrown in also, no real major bug fixing
occurs in old releases.

You've indicated above it doesn't occur in GNOME, so there is a workaround
available to you.

As an addiitonal note, the problems I have seen reported like this that
are similar, many have turned out to be the kernel hanging when KDE starts
trying to play sound effects during startup due to sound driver and/or
hardware bugs.

Recommended solution #1: Make sure your system is completely up2date
Recommended solution #2: Disable KDE sound
Recommended solution #3: Upgrade to Red Hat Linux 8.0, or test drive our new
                         beta release.

Closing as WONTFIX for 7.2, as it isn't clear what the problem might be,
and it's an aged problem now.  If the problem recurs in Red Hat Linux 8.0,
please open a new bug report, and include all of the details that were
asked above in this one also.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.